### Method

# Gtk.RecentInfo.create_app_info

#### Declaration [src]

    GAppInfo*
    gtk_recent_info_create_app_info (
      GtkRecentInfo* info,
      const char* app_name,
      GError** error
    )

#### Description [src]

Creates a `GAppInfo` for the specified `GtkRecentInfo`

#### Parameters

`app_name` | `const char*`
| the name of the application that should be mapped to a `GAppInfo`; if `NULL` is used then the default application for the MIME type is used
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GAppInfo*`
the newly created `GAppInfo`, or `NULL`. In case of error, `error` will be set either with a `GTK_RECENT_MANAGER_ERROR` or a `G_IO_ERROR`
Ownership of the data is transferred to the caller
Can be `NULL`